grml2usb (0.20.5) unstable; urgency=medium

  * [804d407] Fix updating bootid for isolinux installs

 -- Chris Hofstaedtler <ch@grml.org>  Thu, 19 Dec 2024 17:31:56 +0100

grml2usb (0.20.4) unstable; urgency=medium

  * [7538f7b] Fix crash: expected str, bytes or os.PathLike object, not list
  * [f087d75] Add smoke test
  * [026d659] Make blockdev --rereadpt optional
  * [4cbd342] Introduce automatic bootloader selection

 -- Chris Hofstaedtler <ch@grml.org>  Thu, 19 Dec 2024 02:00:26 +0100

grml2usb (0.20.3) unstable; urgency=medium

  * [2163d31] migrate from optparse to argparse
  * [966c17b] fix missed execution of function
  * [a29b826] remove upgrade path from 15 years ago
  * [d3339d2] doc: remove isohybrid hint

 -- Chris Hofstaedtler <ch@grml.org>  Sat, 07 Dec 2024 16:08:26 +0100

grml2usb (0.20.2) unstable; urgency=medium

  [ Michael Prokop ]
  * [4141028] Add debian/gbp.conf to set expected debian tag + dch
    settings

  [ Chris Hofstaedtler ]
  * [b344d41] Add .github/FUNDING.yml
  * [257aee3] Copy bootaa64.efi if available (#56)

 -- Michael Prokop <mika@grml.org>  Sat, 23 Nov 2024 13:50:29 +0100

grml2usb (0.20.1) unstable; urgency=medium

  [ crpb ]
  * debian: update Vcs-Git and Vcs-Browser

  [ Chris Hofstaedtler ]
  * Loosen dependency on grub2.
    Avoid pulling in non-UEFI grub on amd64, if UEFI grub is already
    installed. Also necessary to allow installing on arm64.

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 08 Nov 2024 18:09:18 +0100

grml2usb (0.20.0) unstable; urgency=medium

  [ Chris Hofstaedtler ]
  * [8143af6] Use nasm to assemble mbr
  * [bb80820] debian: make grml2usb package Architecture: all
  * [e055635] debian: Do not run codecheck

 -- Michael Prokop <mika@grml.org>  Sat, 19 Oct 2024 17:23:30 +0200

grml2usb (0.19.3) unstable; urgency=medium

  [ Michael Prokop ]
  * [5f40f1c] grml2usb docs: drop references to deprecated grml-medium

  [ Chris Hofstaedtler ]
  * [418f5db] Add GitHub Actions workflow to build grml2usb.deb
  * [8c841fe] d/control: Capitalize Vcs-Git
  * [60f4229] d/control: Update my name
  * [ca3f02c] d/control: set Rules-Requires-Root: no
  * [8926abb] d/control: uppercase USB in description

 -- Michael Prokop <mika@grml.org>  Fri, 06 Sep 2024 17:39:48 +0200

grml2usb (0.19.2) unstable; urgency=medium

  * [2955aaf] codecheck: reformat with black, version 23.1.0
    (Closes: #1031466)

 -- Michael Prokop <mika@grml.org>  Mon, 20 Feb 2023 11:33:34 +0100

grml2usb (0.19.1) unstable; urgency=medium

  * [27eba4a] Replace egrep usage with grep -E
  * [ec28a50] Bump Standards-Version to 4.6.2

 -- Michael Prokop <mika@grml.org>  Wed, 08 Feb 2023 08:27:50 +0100

grml2usb (0.19.0) unstable; urgency=medium

  [ Manuel Rom ]
  * [40221eb] Add Github action workflows for CI/CD

  [ Michael Prokop ]
  * [3f77679] Fix vulture usage and add vulture to Build-Depends
  * [a6cce22] Github action: do not install virtualenv +
    python3-setuptools. Thanks to Chris Hofstaedtler
  * [78ae858] grml2iso: support parallel execution
  * [8126bbf] grml2iso: execute under pipefail

 -- Michael Prokop <mika@grml.org>  Mon, 21 Mar 2022 16:19:54 +0100

grml2usb (0.18.5) unstable; urgency=medium

  * [01ed11d] Fix --grub and --syslinux handling. Thanks to Ralf Moll for
    the bugreport

 -- Michael Prokop <mika@grml.org>  Fri, 22 Jan 2021 10:32:43 +0100

grml2usb (0.18.4) unstable; urgency=medium

  [ Michael Prokop ]
  * [3664e4a] Code cleanups. Thanks to Chris Hofstaedtler for review +
    feedback
  * [1dfee7d] Use "GRML" as FAT label when creating the file system
  * [272b66e] Fix race condition with blockdev/BLKRRPART due to lack of
    fsync. Thanks to dann frazier <dannf@dannf.org> for bug report and
    patch (Closes: #975015)
  * [100a957] Bump Standards-Version to 4.5.1

  [ Darshaka Pathirana ]
  * [7656c18] Use consistent case of 'USB' and 'Grml'

  [ Manuel Rom ]
  * [6f3eb52] Add unit testing capabilities and basic tests for
    check_for_usbdevice

 -- Michael Prokop <mika@grml.org>  Fri, 27 Nov 2020 17:56:02 +0100

grml2usb (0.18.3) unstable; urgency=medium

  * [9e7dd96] codecheck: fix flake8 issues with versions >=3.8.3. Thanks
    to Florian Apolloner for feedback (Closes: #963454)
  * [ec5eec1] setup.cfg: adjust flake8 section so invoking it without
    arguments works. Thanks to Florian Apolloner
  * [92ffc08] Support Grml's new Secure Boot approach
  * [b1798d1] Do not fail if ISO doesn't have grub.cfg inside efi.img
  * [f052436] grml2iso: switch from isohybrid to xorriso/isohybrid to
    properly support EFI boot
  * [9b96f21] docs: drop no longer needed strong->bold workaround from
    asciidoc/xsltproc toolchain
  * [ded5534] docs: rework grml2iso docs, including note about order of
    ISOs

 -- Michael Prokop <mika@grml.org>  Wed, 24 Jun 2020 11:27:28 +0200

grml2usb (0.18.2) unstable; urgency=medium

  * [657b880] Skip boot flag check when installing to directory

 -- Michael Prokop <mika@grml.org>  Sat, 06 Jun 2020 15:09:37 +0200

grml2usb (0.18.1) unstable; urgency=medium

  [ Michael Prokop ]
  * [705a96b] Drop old bootflag detection + be more verbose about its
    execution. Thanks to Darshaka Pathirana for bug report and debugging
  * [aed7d83] Use "boot flag" instead of "bootflag" also in docs +
    exceptions
  * [fcf63b7] Reread partition table after installing MBR to ensure
    devices exist. Thanks to Darshaka Pathirana for debugging

  [ Darshaka Pathirana ]
  * [8b59cb0] Check for boot flag before possibly creating FAT16 on the
    partition

 -- Michael Prokop <mika@grml.org>  Wed, 03 Jun 2020 16:55:00 +0200

grml2usb (0.18.0) unstable; urgency=medium

  [ Tomáš Virtus ]
  * [25c3bf7] Fix Python 3 syntax warning (is vs ==)
  * [ed5b633] Support more Syslinux module locations
  * [f0e3c93] Fix duplicate Syslinux entries
  * [99ecee2] Add mbr/ output files to gitignore
  * [480b974] Fix duplicate Syslinux entries (2)

  [ Alexei Colin ]
  * [4d81cdb] tarball.sh: spaces in pattern for PROG_VERSION

  [ Michael Prokop ]
  * [d01d9d8] Coding style: fix pep8 + flake8 issues
  * [b188002] Coding style: execute black + isort and fix undefined 'path'
  * [f1d1ce8] codecheck: rely on flake8, isort + black during build time.
    Thanks to Florian Apolloner for the feedback
  * [31853ed] Bump Standards-Version to 4.5.0
  * [c921dc1] debian: execute `wrap-and-sort -a -t -s`
  * [1fa8aac] autopkgtests: drop python2 support and depend on python3
    only (Closes: #936663)
  * [aaaef1a] debian: switch to debhelper minimal style
  * [263374b] Get rid of docbook-xsl workaround regarding duplicate empty
    lines

 -- Michael Prokop <mika@grml.org>  Tue, 12 May 2020 17:16:34 +0200

grml2usb (0.17.0) unstable; urgency=medium

  [ Sven Joachim ]
  * [5b2ffe4] check_for_fat: Avoid comparing strings and bytes (Closes: #943838)
  * [c2e742a] check_boot_flag(): Open device in binary mode
  * [fd89485] Fix path to syslinux *.c32 files (Closes: #943845)


  [ Michael Prokop ]
  * [4d800e5] Provide git-describe based version information when running
    from within git. Thanks to Florian Apolloner for review and feedback
  * [9586781] No longer explicitly list addon files, instead copy all
    files from /boot/addons/
  * [ea3de89] check_for_fat(): use subprocess.check_output to avoid
    dependency on Python 3.7. Thanks to Florian Apolloner for review and
    feedback

 -- Michael Prokop <mika@grml.org>  Thu, 31 Oct 2019 12:00:01 +0100

grml2usb (0.16.7) unstable; urgency=medium

  [ Chris Hofstaedtler ]
  * [d3008fb] grml2usb: abort if required logo.16 file is missing
  * [6c16c88] grml2usb: print backtrace when --verbose is given
  * [3fd61a4] grml2usb: Add smoke autopkgtest for python2
  * [b2b68f0] grml2usb: add python3 test variant

  [ Michael Prokop ]
  * [66679fa] Port to py3k (Closes: #936663)
  * [29d54d4] Avoid subprocess.Popen with stdout/stderr=PIPE and wait()
    usage
  * [aaf46a1] Bump Standards-Version to 4.4.1
  * [0721603] Drop debian/compat and switch to debhelper-compat instead

 -- Michael Prokop <mika@grml.org>  Tue, 22 Oct 2019 15:18:23 +0200

grml2usb (0.16.6) unstable; urgency=medium

  * [ef2f28e] Avoid custom boot options getting duplicated when used with
    multiple ISOs. Thanks to Ralf Moll for the bug report and Lukas Prokop
    for providing the bug fix

 -- Michael Prokop <mika@grml.org>  Thu, 11 Jul 2019 17:26:16 +0200

grml2usb (0.16.5) unstable; urgency=medium

  * [95b0773] Switch default mount point from /lib/live/mount/medium to
    /run/live/medium

 -- Michael Prokop <mika@grml.org>  Thu, 21 Mar 2019 12:23:59 +0100

grml2usb (0.16.4) unstable; urgency=medium

  * [203ce99] Force usage with python2 (Closes: #921327)
  * [c27e1e2] docs: update ISO filenames, referring to a more recent
    stable version
  * [a31bc9e] Update copyright year information
  * [ba5ec1e] grml2iso: update ISO filename in usage example

 -- Michael Prokop <mika@grml.org>  Thu, 28 Feb 2019 16:02:40 +0100

grml2usb (0.16.3) unstable; urgency=medium

  * [1d43bf3] Bump Standards-Version to 4.3.0
  * [daaf329] Depend on either syslinux or grub2-common + grub-pc-bin.
    Thanks to Albert Dengg for bugreport and suggested solution + Axel
    Beckert for assistance in getting a proper dependency resolution
    (Closes: #796801)
  * [ae4c051] No longer depend on coreutils or realpath. Thanks to Michael
    Stone for the bug report (Closes: #877554)

 -- Michael Prokop <mika@grml.org>  Wed, 20 Feb 2019 16:35:12 +0100

grml2usb (0.16.2) unstable; urgency=medium

  [ joeran ]
  * [92d09d8] Python3: Some improvements to increase support

  [ Michael Prokop ]
  * [e4f812a] Make recent versions of pep8 happy
  * [1e9487b] Bump Standards-Version to 4.2.1
  * [d54dd34] Switch Homepage header from http to https

 -- Michael Prokop <mika@grml.org>  Thu, 15 Nov 2018 10:01:30 +0100

grml2usb (0.16.1) unstable; urgency=medium

  * [7ca80ac] Fix a bunch of typos
  * [5e37e24] Bump Standards-Version to 4.1.4

 -- Michael Prokop <mika@grml.org>  Fri, 25 May 2018 13:54:59 +0200

grml2usb (0.16.0) unstable; urgency=medium

  * [70c9de3] Provide Secure Boot support

 -- Michael Prokop <mika@grml.org>  Thu, 07 Sep 2017 09:40:59 +0200

grml2usb (0.15.4) unstable; urgency=medium

  * [976735f] Bump Standards-Version to 4.0.1
  * Upload to Debian unstable now that stretch is stable.

 -- Michael Prokop <mika@grml.org>  Thu, 17 Aug 2017 14:50:03 +0200

grml2usb (0.15.3) experimental; urgency=medium

  * [9cbb231] Option --rw-blockdev: set r/w also in GRUB specific steps.
    Thanks to Ralf Moll
  * [6412ea2] Ensure that grub-install doesn't receive emtpy command line
    argument

 -- Michael Prokop <mika@grml.org>  Wed, 31 May 2017 11:28:43 +0200

grml2usb (0.15.2) experimental; urgency=medium

  * [2ce7572] Support netboot.xyz.lkrn addon. Thanks to Michael Schierl
    for reporting the bug

 -- Michael Prokop <mika@grml.org>  Fri, 26 May 2017 23:34:40 +0200

grml2usb (0.15.1) experimental; urgency=medium

  * [e4a7747] Don't fail hard if installing on partition number >4,
    instead warn user [Closes: issue1353]
  * [4630689] Option --rw-blockdev: ensure to set device to rw between
    grub-install runs + don't set rw on source

 -- Michael Prokop <mika@grml.org>  Wed, 24 May 2017 15:47:54 +0200

grml2usb (0.15.0) experimental; urgency=medium

  The "¡Hola Alicante!" release

  * [5033f52] Support --rw-blockdev option for usage with read-
    only/forensic like devices

 -- Michael Prokop <mika@grml.org>  Thu, 27 Apr 2017 18:48:28 +0200

grml2usb (0.14.14) unstable; urgency=medium

  [ Michael Prokop ]
  * [97f73b0] Coding style fixes to make pep8 happy

  [ Christian Hofstaedtler ]
  * [0d13a49] Update my email address
  * [019a392] Bump Standards-Version to 3.9.8 (no changes needed)
  * [a6996e9] Bump debhelper compat level to 10
  * [45e16e7] Use https URL in Vcs-Browser
  * [b400d9c] Correct duplicate word in previous changelog entry

 -- Michael Prokop <mika@grml.org>  Tue, 24 Jan 2017 21:47:41 +0100

grml2usb (0.14.13) unstable; urgency=medium

  [ Evgeni Golov ]
  * [745f097] Catch parted returning None as the searched partition.
    Thanks to mika and Haudegen for debugging (Closes: #766964)

 -- Michael Prokop <mika@grml.org>  Mon, 28 Sep 2015 18:18:14 +0200

grml2usb (0.14.12) unstable; urgency=medium

  [ Lukas Prokop ]
  * [a3065b8] Fix typo

  [ Michael Prokop ]
  * [6274d13] Realpath is provided by recent coreutils versions, adjust
    Depends. Thanks to Ben Finney <ben+debian@benfinney.id.au> for
    reporting (Closes: #780948)

 -- Michael Prokop <mika@grml.org>  Sat, 06 Jun 2015 01:41:57 +0200

grml2usb (0.14.11) experimental; urgency=medium

  [ Lukas Prokop ]
  * [4a2ffdd] Introduce skip-usb-check
  * [6868425] Disable usage of --copy-only and --grub at the same time

  [ Michael Prokop ]
  * [fa02a2b] Display information when using --skip-usb-check options
  * [1fe44d6] Adjust sorting of cmdline options
  * [7a6e10d] Sync filesystems before returning from MBR installation
    (Closes: #779193)
  * [371c60e] Add syslinux-utils to Recommends + adjust error message for
    isohybrid
  * [a3dde41] Support usage of grml2usb on EFI systems (Closes: #768906)
  * [4a8972f] Document --skip-usb-check option

 -- Michael Prokop <mika@grml.org>  Thu, 26 Feb 2015 14:34:59 +0100

grml2usb (0.14.10) unstable; urgency=medium

  [ Michael Prokop ]
  * [3b84e56] Document --skip-bootflag cmdline option

  [ Evgeni Golov ]
  * [018de7b] Fix "global name 'parted' is not defined" error in grml2usb

 -- Michael Prokop <mika@grml.org>  Mon, 13 Oct 2014 10:52:21 +0200

grml2usb (0.14.9) unstable; urgency=medium

  * [2b2c97a] Use pyparted to check for bootflag
    [Closes: issue1248] [Closes: #757993]
    Thanks to Evgeni Golov <evgeni@grml.org> for further
    improving my initial patch.

 -- Michael Prokop <mika@grml.org>  Tue, 07 Oct 2014 08:43:38 +0200

grml2usb (0.14.8) unstable; urgency=medium

  [ Florian Apolloner ]
  * [f993114] style fixes

  [ joeran ]
  * [2b664f3] Extend search paths for syslinux MBRs

  [ Michael Prokop ]
  * [a64597b] Bump Standards-Version to 3.9.6

 -- Michael Prokop <mika@grml.org>  Thu, 02 Oct 2014 11:47:12 +0200

grml2usb (0.14.7) unstable; urgency=medium

  * [1cb2e6a] Execute wrap-and-sort on debian directory
  * [09300f0] Fix usage of grub-install command. Thanks to martin f krafft
    <madduck@debian.org> for spotting the problem (Closes: #755768)

 -- Michael Prokop <mika@grml.org>  Mon, 11 Aug 2014 22:09:27 +0200

grml2usb (0.14.6) unstable; urgency=medium

  * [f434e19] Add support for Python 3

 -- Michael Prokop <mika@grml.org>  Fri, 04 Jul 2014 10:08:26 +0200

grml2usb (0.14.5) unstable; urgency=medium

  [ Andreas "Jimmy" Gredler ]
  * [178c7f0] Fixed manpages
  * [b214ea0] Minor change in manpage
  * [efd19d8] Replaced all occurences of grml with Grml in the manpages
  * [3176494] Replaced all occurences of iso or Iso with ISO(s) in the
    manpages

  [ Daniel Troeder ]
  * [5b3b5f7] allow grub-install to be called grub2-install (used in
    gentoo)

  [ Michael Prokop ]
  * [22a2cd3] docs: fix typo (persisten*t*-path and wrong uppercase usage
    of Grml64/Grml in syslinux)

 -- Michael Prokop <mika@grml.org>  Thu, 03 Jul 2014 12:48:16 +0200

grml2usb (0.14.4) unstable; urgency=medium

  [ Lukas Prokop ]
  * [4be3d88] Ask user whether he really wants to use non-grml folder
  * [2b2bf9e] Adverb is actually adjective.
  * [411daf1] Silence errors the right way.
  * [2700dd6] Implement folder cleanup support for TMPFILES
    (Closes github issue #5)
  * [1d3c9da] Provide log message for umounted device in cleanup()
  * [b2b4887] Create copies of set before iteration
  * [d33e012] Silent error for StandardError, not RuntimeError

  [ Michael Prokop ]
  * [e2a98b2] More consequently use "Grml" instead of "grml"

 -- Michael Prokop <mika@grml.org>  Mon, 24 Feb 2014 16:02:11 +0100

grml2usb (0.14.3) unstable; urgency=medium

  * [dbf34c4] Bump Standards-Version to 3.9.5
  * [6bf0be8] Fix logic of isohybrid execution if uefi option is not
    supported

 -- Michael Prokop <mika@grml.org>  Fri, 07 Feb 2014 18:38:25 +0100

grml2usb (0.14.2) unstable; urgency=low

  [ Michael Prokop ]
  * [bb87234] pep8 cleanups
  * [1d2aba6] Fix typo in /boot/grub/addons.cfg filename. Thanks to
    Michael Schierl for the hint

  [ Christian Hofstaedtler ]
  * [be8270f] Remove Recommends: isolinux, as the package is gone

 -- Michael Prokop <mika@grml.org>  Thu, 31 Oct 2013 08:45:06 +0100

grml2usb (0.14.1) unstable; urgency=low

  [ Till Maas ]
  * [d26c252] Support also /usr/share/syslinux/ to look for mbr.bin

 -- Michael Prokop <mika@grml.org>  Wed, 14 Aug 2013 13:04:40 +0200

grml2usb (0.14.0) unstable; urgency=low

  * [360c9e5] Use lowercase 'timeout' command in syslinux configuration
    [Closes: issue1262] Thanks to Martin Šlouf for reporting this bug
    including a workaround
  * grml2iso related changes:
    - [20752e3] skip --uefi option of isohybrid if ISO doesn't
      ship /boot/efi.img
    - [f3370b9] extend error message of required ISO generation
      tools with xorriso
    - [8e0bdf8] mention isolinux in 'isohybrid executable not
      found' message, add isolinux to recommends
    - [37fa9f8] disable UEFI mode by default, only enable for
      xorriso under according prerequisites
    - [86c00b8] make sure we have the sbin directories in our PATH

 -- Michael Prokop <mika@grml.org>  Wed, 26 Jun 2013 17:27:18 +0200

grml2usb (0.13.8) unstable; urgency=low

  * [de40a5f] Skip check for bootflag if a GPT header is present

 -- Michael Prokop <mika@grml.org>  Wed, 15 May 2013 14:54:21 +0200

grml2usb (0.13.7) unstable; urgency=low

  The "towards jessie" release

  [ Christian Hofstaedtler ]
  * [87143a6] Remove obsolete DM-Upload-Allowed flag

  [ Evgeni Golov ]
  * [3fb00de] "if not" also triggers when value is 0, use
    "if is None" instead

  [ Lukas Prokop ]
  * [7b409af] Fix typo.
  * Rework error handling to avoid unnecessary backtraces,
    commmits [26cf633] [7cef744] [6990c85] [5276a23] [cdb4aa4]
    [a06f95e] and [fafa0d8]

 -- Michael Prokop <mika@grml.org>  Tue, 14 May 2013 19:04:50 +0200

grml2usb (0.13.6) experimental; urgency=low

  * [9e7a48d] grml2iso: make sure to exit properly if provided argument to
    -c option does not exist
  * [a22cf21] Make sure modprobe executable can be accessed
  * [62acdab] grml2iso: provide more user-friendly error message if
    grml2usb executable is not available
  * [0ab2a72] Normalize temporary working directory to not fail with
    relative directory path

 -- Michael Prokop <mika@grml.org>  Tue, 23 Apr 2013 22:32:36 +0200

grml2usb (0.13.5) experimental; urgency=low

  [ Evgeni Golov ]
  * [a17807b] fix detection of strange (xxxNpM) structures when finding
    the device for a partition [Closes: issue1244]

 -- Michael Prokop <mika@grml.org>  Mon, 18 Mar 2013 15:12:10 +0100

grml2usb (0.13.4) experimental; urgency=low

  * [aff3fa9] Add realpath to Depends as it's required by grml2iso
  * [14e017c] Do not use partition for bootflag check but disk itself
  * [0deeae3] Mention /lib/live/mount/medium for new live path + adjust
    ISO versions

 -- Michael Prokop <mika@grml.org>  Thu, 10 Jan 2013 14:08:09 +0100

grml2usb (0.13.3) experimental; urgency=low

  * [7705455] grml2iso: use absolute path for working directory to not
    fail when user specified relative path
  * [3f80e5a] Verify that the bootflag is enabled
  * [922c039] Bump Standards-Version to 3.9.4

 -- Michael Prokop <mika@grml.org>  Mon, 17 Dec 2012 13:21:39 +0100

grml2usb (0.13.2) unstable; urgency=low

  [ Michael Prokop ]
  * [7e6faf1] Fix logging message if operating on a directory
  * [cf525c6] Exit with better error message if running with toram=... and
    invoking with /live/image

  [ Lukas Prokop ]
  * [5251ce1] Fix error message.

 -- Michael Prokop <mika@grml.org>  Tue, 11 Sep 2012 18:28:31 +0200

grml2usb (0.13.1) unstable; urgency=low

  * [720b859] grml2iso: make ISOs dd-able through isohybrid

 -- Michael Prokop <mika@grml.org>  Tue, 11 Sep 2012 12:16:04 +0200

grml2usb (0.13.0) unstable; urgency=low

  [ Michael Prokop ]
  * [927e586] grml2iso: fix typo + improve wording
  * [178cb6a] grml2iso: support -t to set temporary working directory

  [ Lukas Prokop ]
  * [752b503] grml2usb: introduce option --tmpdir

 -- Michael Prokop <mika@grml.org>  Mon, 10 Sep 2012 09:13:25 +0200

grml2usb (0.12.2) unstable; urgency=low

  * [f3a85ac] copy_addons: install all *.c32 addons in /boot/addons/
    (fixing broken addon entries in grml96 ISOs)

 -- Michael Prokop <mika@grml.org>  Mon, 28 May 2012 17:16:40 +0200

grml2usb (0.12.1) unstable; urgency=low

  * [7c076d1] Support multiple flavours inside one ISO. Thanks to Ulrich
    Dangel for the patch (Closes: issue1172)

 -- Michael Prokop <mika@grml.org>  Sun, 27 May 2012 22:23:07 +0200

grml2usb (0.12.0) unstable; urgency=low

  [ Michael Prokop ]
  * [f1cfc39] grml2iso: use shell for calculation instead of using bc
  * [2223843] Rebuild loopback.cfg with present configuration files
  * [5df5aeb] Bump Standards-Version to 3.9.3
  * [09149d7] Drop oudated tarball-online make target and support
    prepare-release instead
  * [607fd41] pep8 cleanups
  * [c2d87f6] Adjust PROG_VERSION code in debian/rules for pep8 cleanup

  [ Evgeni Golov ]
  * [3505897] fix manpage markup

 -- Michael Prokop <mika@grml.org>  Wed, 09 May 2012 12:58:46 +0200

grml2usb (0.11.6) unstable; urgency=low

  The "custom bootsplash without remastering ☕☕☕" release

  [ Ulrich Dangel ]
  * [f956c82] grml2iso: Canonicalize overlay directory
  * [7494e3f] grml2iso: Support template parameters in overlay directory.
    For now only GRML_NAME, VERSION, RELEASENAME, DATE, SHORT_NAME,
    RELEASE_INFO and BOOTID are supported.

 -- Michael Prokop <mika@grml.org>  Fri, 27 Jan 2012 12:29:21 +0100

grml2usb (0.11.5) unstable; urgency=low

  The "grml96 support ♫♫♫" release

  [ Ulrich Dangel ]
  * [eb087c0] Support multiple flavours on a cd
  * [4608131] Modify grub config files for the specified flavour instead
    of all grub config files
  * [c6af951] Streamline grml_flavour modification
  * [c421fb3] Only modify live-media-path for current flavour

 -- Michael Prokop <mika@grml.org>  Wed, 11 Jan 2012 16:10:51 +0100

grml2usb (0.11.4) unstable; urgency=low

  [ Ulrich Dangel ]
  * [35feaad] Copy complete Grml flavour directory instead of explicit
    specifying files

  [ Michael Prokop ]
  * [7c0195d] Make sure we don't fail in device check when using
    /dev/disk-by-label/* - Thanks to Bernhard Tittelbach

 -- Michael Prokop <mika@grml.org>  Mon, 09 Jan 2012 16:37:18 +0100

grml2usb (0.11.3) unstable; urgency=low

  [ Christian Hofstaedtler ]
  * [894eef9] Use grub splash image from ISO
  * [fdc186c] Remove hardcoded version from grml2usb
  * [bd89fc4] Cleanup grub.cfg install logic
  * [569dfb3] Add support for new kernel/initrd filenames
  * [5818eec] Fix add/remove bootoptions with new kernel/initrd names
  * [6817350] Fix typo
  * [b82aaee] Mimic /boot/%SHORT_NAME% like on the ISO
  * [100193b] Use grub config from ISO instead of writing a new one
  * [feca364] Warn that older versions can't do multi-flavour grub
  * [6b93ccd] Load loop kernel module [Closes: issue1097]

 -- Michael Prokop <mika@grml.org>  Thu, 22 Dec 2011 23:55:08 +0100

grml2usb (0.11.2) unstable; urgency=low

  [ Christian Hofstaedtler ]
  * [bd2f924] Remove 'quiet' from standard boot options
  * [4f47c04] Remove failsafe boot menu entry

  [ Michael Prokop ]
  * [a1ca17b] Add UEFI boot support to grml2iso

 -- Michael Prokop <mika@grml.org>  Thu, 15 Dec 2011 14:35:58 +0100

grml2usb (0.11.1) unstable; urgency=low

  [ Christian Hofstaedtler ]
  * [2534968] Add nokms option to grub menu
  * [e9f7cff] sync grub.cfg menu entries with grml-live templates

 -- Michael Prokop <mika@grml.org>  Sun, 11 Dec 2011 21:28:12 +0100

grml2usb (0.11.0) unstable; urgency=low

  * [b1bf09c] Install boot files required for [U]EFI boot

 -- Michael Prokop <mika@grml.org>  Thu, 08 Dec 2011 15:00:04 +0100

grml2usb (0.10.2) unstable; urgency=low

  [ Christian Hofstaedtler ]
  * [8483753] Remove mention of grml2hd
  * [49672e8] Disable validation of autogenerated docbook xml

 -- Michael Prokop <mika@grml.org>  Sat, 26 Nov 2011 20:30:20 +0100

grml2usb (0.10.1) unstable; urgency=low

  Packaging fixes:
  * [05f4996] Fix FTBFS on i386: must build arch package in binary-arch
  * [ba108d8] Reword/reformat some text in debian/copyright

 -- Christian Hofstaedtler <christian@hofstaedtler.name>  Tue, 04 Oct 2011 10:07:42 +0200

grml2usb (0.10.0) unstable; urgency=low

  Target Debian unstable:
  * Build only on i386 and amd64.
  * Remove Grml Origin and Bugs entries

 -- Christian Hofstaedtler <ch@grml.org>  Mon, 03 Oct 2011 23:27:14 +0200

grml2usb (0.9.35) unstable; urgency=low

  * [19b2fe7] Support USB keys with superfloppy format
  * [e8fb17b] grml2iso: fix check for grml2usb
  * [e1ad166] Loop-mount ISO with read-only option
  * [e5ae97f] Remove grml2usb-compat
  * [5d028a0] Remove grub1 support
  * [7874f97] Remove static lilo binaries and lilo support

  Packaging changes:
  * [ecfce70] Use dh_prep, bump debhelper compat level to 7
  * [1b22f2a] Set debian/source/format to 3.0 (native)
  * [7a142d9] Fix debian-rules-missing-recommended-target lintian warning
  * [c26aae4] No longer mention mkisofs in debian/control
  * [fdb81b1] Add debian/control headers Origin, Bugs
  * [154f7d7] Switch section to admin, from grml
  * [7e48792] Update Maintainer/Uploaders to Team

 -- Christian Hofstaedtler <ch@grml.org>  Mon, 03 Oct 2011 23:06:42 +0200

grml2usb (0.9.34) unstable; urgency=low

  * [def6424] Fix warning message for missing files.

 -- Michael Prokop <mika@grml.org>  Fri, 22 Jul 2011 09:41:24 +0200

grml2usb (0.9.33) unstable; urgency=low

  * [c021230] Don't nag users about gpxe.lkrn

 -- Christian Hofstaedtler <ch@grml.org>  Mon, 16 May 2011 00:49:34 +0200

grml2usb (0.9.32) unstable; urgency=low

  [ Michael Prokop ]
  * [b2a896e] Support iPXE as new alternative for gPXE.
  * [a364513] Add pyflakes to codecheck.

  [ Christian Hofstaedtler ]
  * [c479a12] add an FAQ regarding to HDT hangs [Closes: issue976]
  * [39d0e12] Bump Standards-Version to 3.9.2
  * [af2a36f] Update debian/overrides for newer lintian versions

 -- Christian Hofstaedtler <ch@grml.org>  Tue, 10 May 2011 22:45:27 +0200

grml2usb (0.9.31) unstable; urgency=low

  [ Ulrich Dangel ]
  * [f5e949b] Support mkisofs or genisoimage in grml2iso. Updated
    debian/control accordingly.
  * [a9ab0bf] Print warning if grml2usb is not found in grml2iso.
  * [d85b3e3] Support arbitrary grml2usb options in grml2iso.
  * [cc12ab6] Allow multiple --bootoptions for grml2usb. This makes
    scripting a lot easier.
  * [161f2d5] Support generating small iso images with grml2iso.

  [ Michael Prokop ]
  * [1980861] Typo fixes and minor formating corrections.

 -- Michael Prokop <mika@grml.org>  Mon, 14 Feb 2011 10:39:07 +0100

grml2usb (0.9.30) unstable; urgency=low

  * [35b606b] fix broken grub command terminal_output (should be
    "terminal_output gfxterm" instead of terminal_output.gfxterm) -
    thanks to Bert Schulze <spambemyguest@googlemail.com>

 -- Michael Prokop <mika@grml.org>  Sat, 08 Jan 2011 23:11:15 +0100

grml2usb (0.9.29) unstable; urgency=low

  [ Thorsten Glaser ]
  * [601cc84] correct a pasto (it's 'grub.cfg')
  * [dc6a084] There is no /bin/bash on most operating systems.
  * [eb1a910] fix bsd4grml boot (loopback and regular)

  [ Ulrich Dangel ]
  * [3cec649] Append new flavours to grml-version, do not only update
    existing versions
  * [35d64cf] Update version
  * [ff5be86] Improve logging message

  [ Michael Prokop ]
  * [e32e549] Re-add mtools to Depends as they are just suggests of
    syslinux package - thanks to Michael Gissing for the bugreport.
    [Closes: issue905]

 -- Michael Prokop <mika@grml.org>  Thu, 25 Nov 2010 11:15:10 +0100

grml2usb (0.9.28) unstable; urgency=low

  [ Ulrich Dangel ]
  * [7b4fa5c] Some code cleanup.
  * [2a93d92] Copy bootloader files from /usr/lib/syslinux/
    [Closes: issue894]
  * [c0fd54e] Run grub-install without and with --force option.
  * [1a5a6cd] bsd4grml was not copied correctly to the target device.

  [ Christian Hofstaedtler ]
  * [875b62b] Rename variables in update_grml_versions to be less
    confusing.
  * [791485b] Properly update grml-versions when updating a grml
    flavour.

  [ Michael Prokop ]
  * [91529cc] Bump Standards-Version to 3.9.1.

 -- Michael Prokop <mika@grml.org>  Tue, 28 Sep 2010 23:57:16 +0200

grml2usb (0.9.27) unstable; urgency=low

  [ Michael Prokop ]
  * [3836a71] Check for precense of grub/syslinux at startup time.
    Thanks to Eduard Bloch for reporting.  [Closes: issue855]
  * [bde7012] Mention --force switch of grub-install in debug log.
  * [1c1c18c] Doc: fix documentation regarding default bootmanager.
    (thanks Martin Krafft).
  * [bae5bfb] Bump Standards-Version to 3.9.0.

  [ Ulrich Dangel ]
  * [b79a4cc] Fix error message for unintialized partition.
    [Closes: issue857]
  * [cd204ee] Fix user feedback about default flavour and
    installed flavours.

 -- Michael Prokop <mika@grml.org>  Wed, 30 Jun 2010 13:10:09 +0200

grml2usb (0.9.26) unstable; urgency=low

  [ Ulrich Dangel ]
  * Code cleanup.
  * Support expanding bootoptions variables.
  * Fix string concatenation and string formatting error.

  [ Michael Prokop ]
  * Document grub option in manpage (thanks Andrey Rahmatulli).

 -- Michael Prokop <mika@grml.org>  Fri, 28 May 2010 01:16:35 +0200

grml2usb (0.9.25) unstable; urgency=low

  * Fix typo in option handling.

 -- Michael Prokop <mika@grml.org>  Thu, 22 Apr 2010 18:10:35 +0200

grml2usb (0.9.24) unstable; urgency=low

  [ Ulrich Dangel ]
  * Add support for isos containing multiple grml flavours.
  * Copy all {sys,iso}linux *.c32 files, like ifcpu64.c32.

  [ Michael Prokop ]
  * Use --force option for grub-install to support installation to PBR
    again. Grub2 starting with version 1.98 supports installation to
    PBR again iff using the --force option.
  * Update documentation regarding grub and PBR vs. MBR.

 -- Michael Prokop <mika@grml.org>  Wed, 21 Apr 2010 13:54:51 +0200

grml2usb (0.9.23) unstable; urgency=low

  [ Ulrich Dangel ]
  * Only ask questions if options.force is not set. [Closes: issue833]

 -- Michael Prokop <mika@grml.org>  Fri, 02 Apr 2010 18:32:25 +0200

grml2usb (0.9.22) unstable; urgency=low

  [ Ulrich Dangel ]
  * Use GRML_{FLAVOURS,DEFAULT}, PROG_VERSION from global scope.
    grml2usb was aborted when using --bootloader-only --skip-grub-config
    as parameters. This fixes the behaviour and declares correctly the
    correct scope for these variables. Thanks to Daniel Tiefnig for
    reporting the bug.

  [ Michael Prokop ]
  * grml2usb-compat: drop duplicated boot=live bootoptions.
  * Bump Standards-Version to 3.8.4 (no further changes).
  * Add syslinux additionally to recommends so people should have
    syslinux by available by default though don't explicitly require it.

 -- Michael Prokop <mika@grml.org>  Sun, 21 Feb 2010 16:52:23 +0100

grml2usb (0.9.21) unstable; urgency=low

  [ Michael Prokop ]
  * Document the Boot error issue regarding USB-ZIP.

  [ Ulrich Dangel ]
  * Support bootid bootoption.

 -- Michael Prokop <mika@grml.org>  Thu, 04 Feb 2010 00:56:56 +0100

grml2usb (0.9.20) unstable; urgency=low

  * tarball.sh: do not use $UID but use $(id -u) instead so it proberly
    works with dash and make sure to escape "$0". Thanks to Stefan Weiss!

 -- Michael Prokop <mika@grml.org>  Wed, 25 Nov 2009 00:47:36 +0100

grml2usb (0.9.19) unstable; urgency=low

  [ Ulrich Dangel ]
  * check_for_fat always check for fat device.
  * Unset option.syslinux if grub option is set.
  * Mount vfat devices with explicit iocharset option.
    [Closes: issue735]

 -- Michael Prokop <mika@grml.org>  Wed, 11 Nov 2009 18:34:56 +0100

grml2usb (0.9.18) unstable; urgency=low

  [ Ulrich Dangel ]
  * Also set GRML_DEFAULT when running with --dry-run. Thanks to Moritz
    Augsburger for the bug report.
  * Make sure that --grub-mbr requires --grub. Thanks to Moritz
    Augsburger and mika for the bug report.

 -- Michael Prokop <mika@grml.org>  Wed, 04 Nov 2009 20:51:24 +0100

grml2usb (0.9.17) unstable; urgency=low

  [ Michael Prokop ]
  * Depend on rsync (thanks for the bugreport, Andras Korn).

  [ Ulrich Dangel ]
  * Adjust labels in {grml,default}.cfg if necessary.
  * Always copy grub files.

 -- Michael Prokop <mika@grml.org>  Thu, 29 Oct 2009 01:06:12 +0100

grml2usb (0.9.16) unstable; urgency=low

  * Dynamic check for addons as grml-small is nowadays shipped with addons.
  * Copy gpxe.lkrn from addons.
  * Modified grml2usb to be able to run on a generated grml2usb iso/directory.

 -- Ulrich Dangel <mru@grml.org>  Tue, 27 Oct 2009 21:41:07 +0100

grml2usb (0.9.15) unstable; urgency=low

  * Support new addon menu file layout from grml-live.

 -- Ulrich Dangel <mru@grml.org>  Mon, 26 Oct 2009 12:32:27 +0100

grml2usb (0.9.14) unstable; urgency=low

  [ Ulrich Dangel ]
  * Do not use '-' in the directory name for the linux kernel to allow
    creating iso image from generated directory layout.
  * Introduced --remove-bootoption in grml2usb to delete existing
    default boot entries.
  * Added -c option to grml2iso for copying the contents of specified
    directory to the generated iso image.
  * Added -b option to grml2iso for specifying additional default
    boot entries.

  [ Michael Prokop ]
  * Sync and add grml2usb-compat to grml2usb package. This simplifies
    installation as well as use for developers and users.
  * Drop unnecessary header line from grml2usb script.

 -- Michael Prokop <mika@grml.org>  Sat, 24 Oct 2009 14:29:46 +0200

grml2usb (0.9.13) unstable; urgency=low

  [ Ulrich Dangel ]
  * Modified syslinux configuration handling to generate new vesa
    menu entries.
  * Support adding additional isos to existing grml2usb installation.
  * grml2iso supports new grml2usb using syslinux now.

  [ Michael Prokop ]
  * Update documentation regarding syslinux and FAT32 (thanks to
    Stefan Traby <stefan@hello-penguin.com> for the hint).
  * Changes with regards to Ulrich's work:
    - Add a check to identify old ISOs which do not ship
      a default.cfg file and abort then. We have to break
      backward compatibility, otherwise the isolinux/syslinux
      code would become worse than it's already nowadays.
    - Search for isolinux files in /boot/isolinux/ so the
      correct grml.png is used.
    - Support setting bootoptions in syslinux.cfg
  * Drop duplicated boot=live references in kernel cmdline.
  * Apply patch from Thorsten Glaser which prepares code for
    his future[tm] work.
  * Raise CriticalException if filesystem.module, kernel or
    initrd are not present.
  * Avoid the "file is read only, overwrite anyway (y/n) ?"
    question of mtools by syslinux.
  * Inform user when using grub as bootloader.
  * Make syslinux the default bootloader (drop --syslinux,
    add --grub instead). Grub fails just too often.

 -- Michael Prokop <mika@grml.org>  Wed, 21 Oct 2009 22:25:57 +0200

grml2usb (0.9.12) unstable; urgency=low

  * Replace 'logging.*("%s" % foo)' with 'logging.*("%s", foo)'
    so the logging works with python2.6 as well.

 -- Michael Prokop <mika@grml.org>  Thu, 10 Sep 2009 16:21:06 +0200

grml2usb (0.9.11) unstable; urgency=low

  * Improve handling the 'No space left on device' situation through
    using an according rsync handler function.

 -- Michael Prokop <mika@grml.org>  Mon, 07 Sep 2009 23:05:30 +0200

grml2usb (0.9.10) unstable; urgency=low

  * Support the directory where the grml2usb script resides as base
    directory so /usr/share/grml2usb isn't necessarily needed.
    Thanks for the patch to Alexander 'Leo' Bergolth <leo@strike.wu.ac.at>!
  * Make sure grub.conf isn't a symlink but a plain file instead,
    otherwise it will break on FAT16 filesystems. This works around
    grub-install of (at least) Fedora 10.
    Thanks for the patch to Alexander 'Leo' Bergolth <leo@strike.wu.ac.at>!
  * Use 'pci=nomsi' in failsafe bootoption. Thanks to Marc 'HE' Brockschmidt.
  * Mention the --syslinux option if grub-install fails.
  * Fix usage of --force in combination with --fat16. Thanks to
    Johannes Endres and Reiko Kaps for the bugreport.
  * Replace hint to '--grub' with 'grub'.
  * New option --grub-mbr which allows installation of grub in MBR instead
    of installation into a partition (PBR) which is necessary when using grub2.

 -- Michael Prokop <mika@grml.org>  Mon, 07 Sep 2009 17:12:54 +0200

grml2usb (0.9.9) unstable; urgency=low

  * Use ascii.pf2 as grub2 font, since grub2 (1.96+20090307-1)
    the old ascii.pff isn't available anymore.
  * Use terminal_output if available, otherwise fallback to old
    older 'terminal'-command (thanks to Felix Zielcke for helping).
  * Document the 'grub-setup fails after Attempting to install GRUB
    to a partition instead of the MBR' issue.
  * Use "set gfxpayload=1024x768x16,1024x768" instead of vga=791 in
    grub2 configuration. This requires a recent version of the linux
    loader as the new linux loader loads the kernel at 32bit entry point
    and not at 16 bit anymore so it has to be translated for the Linux
    kernel (as the kernel parses vga= in 16 bit code). In the long run
    we don't seem to have another option, so let's change it.
    Thanks to Felix Zielcke and Robert Millan for first hand information.
  * Increase timeout from 5 to 10 seconds in grub2 configuration.
  * Load memtest86+ binary via 'linux16' in grub2 (otherwise it fails).
  * Drop the serial boot entry from grub2 (I assume users with usb
    pens don't need that option).
  * Change the way MirOS bsd4grml is loaded (use the fallback method
    as default).
  * Improve descriptions of grml's grub2 entries.
  * Bump Standards-Version to 3.8.3 (no further changes).
  * Fix creation and installation of grub1's configuration file (menu.lst).
    Thanks to Mario 'BitKoenig' Holbe.

 -- Michael Prokop <mika@grml.org>  Tue, 25 Aug 2009 23:53:51 +0200

grml2usb (0.9.8) unstable; urgency=low

  * Support installation on /dev/loop*-devices.
  * Generate configuration for syslinux and grub by default, no
    matter which bootloader the users chooses.
  * Added options --skip-syslinux-config and --skip-grub-config
    if someone wants to skip the generation of any bootloader
    configuration files.
  * Make sure grub-install is available before executing it.
  * Display information about default grml flavour and the other
    available grml flavours at the end of the grml2usb run.
  * Use /sbin/blkid (e2fsprogs) instead of vol_id as vol_id is going to be
    removed from udev. Thanks for the patch to Andras Korn!
  * Use rsync instead of cp. Thanks for the patch to Andras Korn!
    [Closes: issue683]
  * Use 'forensic' and 'readonly' in the forensic bootoption itself.
  * Spelling fixes (thanks to Thorsten Glaser <tg@mirbsd.org>).
  * Write GRUB2 config even if the target is a directory (thanks, Thorsten)
  * All these "set root=" are not needed for GRUB2 (thanks, Thorsten)
  * Switch order of check whether the specified device is a directory
    and check for usb device (as the usb device check will fail if
    it's a directory).
  * Add grml2iso for creating a bootable DVD:
    - thanks once more to Thorsten Glaser for helping and patches
    - thanks to Ernesto Domato for reporting the issue regarding
      i386<->amd64 with grub-mkimage
  * Move syslinux check to install_syslinux_mbr()
  * Drop the reference to --grub option (thanks for the bugreport
    to Peter Palfrader)
  * Update documentation:
    - mention the dd approach
    - mention grml2iso
    - improve section link names for the online version
    - add 'grub-probe: error: unknown filesystem'
  * Support use with python version 2.4.
  * Bump Standard Version to 3.8.2 (no further changes).
  * Depend on debhelper >=5 (using compat version 5).

 -- Michael Prokop <mika@grml.org>  Tue, 21 Jul 2009 18:01:50 +0200

grml2usb (0.9.7) unstable; urgency=low

  * Fix typo in manpage of grml2usb (thanks to Wernfried Haas).
  * Fix bootoption toram: it should be toram=$FLAVOUR.squashfs instead
    of toram=$FLAVOUR. Thanks to Wernfried Haas and Frank Prochnow
    for the bugreport and debugging! [Closes: issue680]

 -- Michael Prokop <mika@grml.org>  Tue, 02 Jun 2009 23:32:13 +0200

grml2usb (0.9.6) unstable; urgency=low

  * Support installation of the currently running grml live
    system ("grml2usb /live/image /dev/sdx1").
  * Add "persistent" entry to grub/syslinux menu. [Closes: issue669]

 -- Michael Prokop <mika@grml.org>  Wed, 20 May 2009 19:32:02 +0200

grml2usb (0.9.5) unstable; urgency=low

  * Fix dashes of options in manpage (thanks for the bugreport,
    Thorsten Glaser).
  * Display program version during execution.
  * Apply fix by Peter Daum <gator@cs.tu-berlin.de>, making sure
    to use the normalized path for unmounting. Thanks!
  * Use 'multiboot' for booting MirOS BSD when using grub2.
  * Catch exception if copying files fails.
  * Make sure to exit if installing grub fails.
  * Integrate hdt (Hardware Detection Tool) in bootsplash (but
    only if using syslinux as grub isn't supported).

 -- Michael Prokop <mika@grml.org>  Mon, 04 May 2009 22:31:30 +0200

grml2usb (0.9.4) unstable; urgency=low

  * Bugfix: move kernel commandline from initrd to kernel option in
    generate_flavour_specific_grub2_config().

 -- Michael Prokop <mika@grml.org>  Thu, 09 Apr 2009 00:04:56 +0200

grml2usb (0.9.3) unstable; urgency=low

  * Drop some leftover 'lang=us' references.
  * Update mbr.S (thanks, Thorsten Glaser).
  * Rename --mbr-manager into --mbr-menu (people seem to be confused
    what this option does). Improve the according documentation.
  * Update failsafe bootoption.
  * Fix comments section in manpage (thanks for reporting,
    Alexander Steinböck).
  * Mention the Debian package in the error message (thanks to
    Lothar Speil for the bugreport).
  * Mention grml-repository in the docs.
  * Support older kernel versions in check for removable usb device.
    (Thanks to Ralf Gross for the report and relevant information.)
  * Also add specified bootoptions to default entry in configuration
    file of grub version 1. (Thanks to Ralf Gross for the bugreport.)
  * Make sure that options "--quiet" and "--verbose" aren't accepted
    at the same time in the command line. Thanks for bugreport and
    code example, Karl Voit!
  * Bump Standard Version to 3.8.1 (no further changes).
  * Set debhelper's compat version from 4 to 5.

 -- Michael Prokop <mika@grml.org>  Wed, 08 Apr 2009 00:09:46 +0200

grml2usb (0.9.2) unstable; urgency=low

  * Rewrote grml2usb from scratch (in python). New features:
    - you no longer need to setup the device via /etc/fstab, just
      directly invoke "grml2usb /path/to/iso /dev/sdb1"
    - initial multi-iso / multi-boot support
      [Closes: issue501]  [Closes: issue584]
    - provide *several* new options like --bootloader-only,
      --bootoptions=... check out the manpage for all the details
    - get rid of "polution" of root directory on usb-pen
      [Closes: issue466]
    - always write a default MBR (thanks a lot to the work
      and help of Thorsten Glaser!) [Closes: issue295]
    - use grub by default (but support for syslinux is present as
      well of course)
    - fix regressions for temporary mountpoints / wrong directories
      [Closes: issue603] [Closes: issue602]
  * Update debian stuff:
    - Bump Standard Version to 3.8.0 (no further changes)
    - Change XS-Vcs-* to Vcs-* headers and replace mercurial with
      grml's nowadays git repository URLs
    - drop mtools from depends
    - slightly improve long description
    - add asciidoc, xsltproc and docbook-xsl to Build-Depends
    - either depend on syslinux | grub2 | grub

 -- Michael Prokop <mika@grml.org>  Mon, 02 Mar 2009 16:40:55 +0100

grml2usb (0.9.1) unstable; urgency=low

  * Fix problem with comment chars in /etc/fstab.
    Thanks for debugging and the patch to Robert Euhus!
  * Some minor cleanups in Debian packaging.

 -- Michael Prokop <mika@grml.org>  Sun, 25 May 2008 01:29:30 +0200

grml2usb (0.9.0) unstable; urgency=low

  * Support new directory layout of different grml-flavours
  * Fix uninstall option (really clean up usb device)

 -- Michael Prokop <mika@grml.org>  Sat, 23 Feb 2008 23:43:57 +0100

grml2usb (0.8.0) unstable; urgency=low

  * Fix the "mv: cannot move `/mnt/usb-sdb1/boot/grub' to a subdirectory of
    itself, `/mnt/usb-sdb1/grub'" issue.

 -- Michael Prokop <mika@grml.org>  Sat, 19 Jan 2008 16:57:08 +0100

grml2usb (0.7.8) unstable; urgency=low

  * Adjust grml2usb for a present grub directory.

 -- Michael Prokop <mika@grml.org>  Fri, 16 Nov 2007 08:29:20 +0100

grml2usb (0.7.7) unstable; urgency=low

  * Improve error handling for execution of syslinux.

 -- Michael Prokop <mika@grml.org>  Thu, 13 Sep 2007 01:38:31 +0200

grml2usb (0.7.6) unstable; urgency=low

  * The "reworked grml2usb for JUXLALA"-release.
  * Added fs check via vol_id.
  * Improved error handling.
  * Fixed some code parts regarding use of $TMPMNT.

 -- Michael Prokop <mika@grml.org>  Fri, 08 Jun 2007 18:07:09 +0200

grml2usb (0.7.5) unstable; urgency=low

  * supporting directories and direct blockdevices as source for the iso.

 -- Michael Gebetsroither <gebi@grml.org>  Tue, 03 Apr 2007 23:28:19 +0200

grml2usb (0.7.4) unstable; urgency=low

  * Get rid of bashism, thanks for reporting - Paul Weaver!
  * Change version schema from x.y-z to x.y.z.

 -- Michael Prokop <mika@grml.org>  Fri, 16 Mar 2007 14:43:49 +0100

grml2usb (0.7-3) unstable; urgency=low

  * The manpage was just a template, added the missing documentation
    now. Thanks for reporting, Jens Heidrich!

 -- Michael Prokop <mika@grml.org>  Sat,  3 Feb 2007 11:08:30 +0100

grml2usb (0.7-2) unstable; urgency=low

  * Use 'Architecture: all' in debian/control so we can use the
    package on non-x86 as well.
  * Bumb Standard Version to 3.7.2 (no further changes).

 -- Michael Prokop <mika@grml.org>  Sat, 11 Nov 2006 12:46:35 +0100

grml2usb (0.7-1) unstable; urgency=low

  * Use different exit codes for different code parts, and quote
    $ISO, thanks - Richard Hartmann!
  * Remove unused configure lines in debian/rules.

 -- Michael Prokop <mika@grml.org>  Mon,  6 Nov 2006 23:48:46 +0100

grml2usb (0.6-1) unstable; urgency=low

  * Allow overwriting of $TMPMNT.

 -- Michael Prokop <mika@grml.org>  Wed,  4 Oct 2006 22:50:58 +0200

grml2usb (0.5-1) unstable; urgency=low

  * bailout if mounting of target device failes.

 -- Michael Prokop <mika@grml.org>  Mon, 11 Sep 2006 23:47:01 +0200

grml2usb (0.4-1) unstable; urgency=low

  * Check for existence of syslinux before running the script.
  * Updated copyright file (new fsfs address).

 -- Michael Prokop <mika@grml.org>  Sat,  3 Jun 2006 21:02:53 +0200

grml2usb (0.3-1) unstable; urgency=low

  * Added uninstall option.
  * Improved error handling and its output.
  * Added colors to improve manual text parsing.

 -- Michael Prokop <mika@grml.org>  Fri, 10 Mar 2006 20:19:28 +0100

grml2usb (0.2-1) unstable; urgency=low

  * Improved usage information.

 -- Michael Prokop <mika@grml.org>  Tue, 10 Jan 2006 09:35:20 +0100

grml2usb (0.1-3) unstable; urgency=low

  * Changed 'cp -a' to 'cp -dR --preserve=mode,timestamps' so we don't
    get the ownership-permission-warnings.

 -- Michael Prokop <mika@grml.org>  Fri,  2 Sep 2005 18:02:22 +0200

grml2usb (0.1-2) unstable; urgency=low

  * Fixed small typo (SYSDEV/TMPDEV) [thanks for hint, tklauser!].

 -- Michael Prokop <mika@grml.org>  Wed, 17 Aug 2005 21:50:32 +0200

grml2usb (0.1-1) unstable; urgency=low

  * Initial release.

 -- Michael Prokop <mika@grml.org>  Sun, 14 Aug 2005 15:31:04 +0200

